<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Login</title>

    {% include "style.html" %}

</head>

<body class="bg-gradient-primary">

<div class="container">
    {{ toastr.message() }}
    <div class="row justify-content-center">
        <div class="col-xl-6 col-lg-6 col-md-6">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="p-5">
                                <div class="text-center">
                                    <h1 class="h4 text-gray-900 mb-4">Register</h1>
                                </div>
                                <form class="user" accept-charset="UTF-8" role="form" action="{{ url_for('Auth.register') }}"
                                      method="POST">
                                    <fieldset>
                                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                                        <div class="form-group">
                                            <input class="form-control form-control-user" placeholder="Username" name="email" type="text">
                                        </div>
                                        <div class="form-group">
                                            <input class="form-control form-control-user" placeholder="Ip" name="ip" type="text"
                                                   value="">
                                        </div>
                                        <div class="form-group">
                                            <input class="form-control form-control-user" placeholder="Name" name="name" type="text"
                                                   value="">
                                        </div>
                                        <div class="form-group">
                                            <input class="form-control form-control-user" placeholder="Password" name="password"
                                                   type="password"
                                                   id="password"
                                                   value="">
                                        </div>
                                        <div class="form-group">
                                            <input class="form-control form-control-user" placeholder="Password" name="password"
                                                   type="password"
                                                   id="confirm_password"
                                                   value="">
                                            <span id='message'></span>

                                        </div>
                                        <div class="form-group">
                                            <input class="btn btn-lg btn-success btn-user btn-block" type="submit"
                                                   value="Register">
                                        </div>
                                        <div class="form-group">
                                            <a href="{{ url_for('Auth.login') }}">
                                                <input class="btn btn-lg btn-primary btn-user btn-block" value="Login">
                                            </a>
                                        </div>
                                    </fieldset>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>

</div>

{% include "script.html" %}
{% block script %}
<script>
    $('#password, #confirm_password').on('keyup', function () {
        if ($('#password').val() == $('#confirm_password').val()) {
            $('#message').html('Matching').css('color', 'green');
        } else
            $('#message').html('Not Matching').css('color', 'red');
    });

</script>
<script>
    $('#list_role').change(function () {
        // alert($(this).val());
        if ($(this).val() != 2) {
            $('#ip').hide();
            $('#label_ip').hide();
        } else {
            $('#ip').show();
            $('#label_ip').show();
        }
    });
</script>
{% endblock %}
</body>

</html>